libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataModelQueryError Class Reference

Exception class for DataModelQuery errors. More...

Inheritance diagram for Gnome::Gda::DataModelQueryError:

[legend]
List of all members.

## Public Types

enum | Code { DATA_MODEL_QUERY_XML_LOAD_ERROR, DATA_MODEL_QUERY_COMPUTE_MODIF_QUERIES_ERROR }

## Public Member Functions

Code | code () const
| DataModelQueryError (GError* gobject)
| DataModelQueryError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for DataModelQuery errors.

## Member Enumeration Documentation

enum Gnome::Gda::DataModelQueryError::Code

Enumerator:

  DATA_MODEL_QUERY_XML_LOAD_ERROR |
  DATA_MODEL_QUERY_COMPUTE_MODIF_QUERIES_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::DataModelQueryError::DataModelQueryError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gnome::Gda::DataModelQueryError::DataModelQueryError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::DataModelQueryError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- datamodelquery.h